# MSP::CCS::NeysParameters Class Reference

`#include <NeysParameters.h>`

Inheritance diagram for MSP::CCS::NeysParameters:

List of all members.

## Public Member Functions

| NeysParameters ()
| NeysParameters (CoordinateType::Enum _coordinateType)
| NeysParameters (CoordinateType::Enum _coordinateType, double __centralMeridian, double __originLatitude, double __standardParallel1, double __falseEasting, double __falseNorthing)
| NeysParameters (const NeysParameters &p)
| ~NeysParameters ()
NeysParameters & | operator= (const NeysParameters &p)
void | setCentralMeridian (double __centralMeridian)
void | setOriginLatitude (double __originLatitude)
void | setStandardParallel1 (double __standardParallel1)
void | setFalseEasting (double __falseEasting)
void | setFalseNorthing (double __falseNorthing)
double | centralMeridian () const
double | originLatitude () const
double | standardParallel1 () const
double | falseEasting () const
double | falseNorthing () const

## Detailed Description

Definition at line 15 of file NeysParameters.h.

## Constructor & Destructor Documentation

NeysParameters::NeysParameters | ( |  | ) |

Definition at line 9 of file NeysParameters.cpp.

NeysParameters::NeysParameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 20 of file NeysParameters.cpp.

NeysParameters::NeysParameters | ( | CoordinateType::Enum | _coordinateType,
|  | double | __centralMeridian,
|  | double | __originLatitude,
|  | double | __standardParallel1,
|  | double | __falseEasting,
|  | double | __falseNorthing |
| ) |  |  |

Definition at line 31 of file NeysParameters.cpp.

NeysParameters::NeysParameters | ( | const NeysParameters & | p | ) |

Definition at line 42 of file NeysParameters.cpp.

NeysParameters::~NeysParameters | ( |  | ) |

Definition at line 54 of file NeysParameters.cpp.

## Member Function Documentation

double NeysParameters::centralMeridian | ( |  | ) | const

Definition at line 111 of file NeysParameters.cpp.

double NeysParameters::falseEasting | ( |  | ) | const

Definition at line 129 of file NeysParameters.cpp.

double NeysParameters::falseNorthing | ( |  | ) | const

Definition at line 135 of file NeysParameters.cpp.

NeysParameters & NeysParameters::operator= | ( | const NeysParameters & | p | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 64 of file NeysParameters.cpp.

double NeysParameters::originLatitude | ( |  | ) | const

Definition at line 117 of file NeysParameters.cpp.

void NeysParameters::setCentralMeridian | ( | double | __centralMeridian | ) |

Definition at line 81 of file NeysParameters.cpp.

void NeysParameters::setFalseEasting | ( | double | __falseEasting | ) |

Definition at line 99 of file NeysParameters.cpp.

void NeysParameters::setFalseNorthing | ( | double | __falseNorthing | ) |

Definition at line 105 of file NeysParameters.cpp.

void NeysParameters::setOriginLatitude | ( | double | __originLatitude | ) |

Definition at line 87 of file NeysParameters.cpp.

void NeysParameters::setStandardParallel1 | ( | double | __standardParallel1 | ) |

Definition at line 93 of file NeysParameters.cpp.

double NeysParameters::standardParallel1 | ( |  | ) | const

Definition at line 123 of file NeysParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/NeysParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/NeysParameters.cpp